From 220b1b9feae2a5852691d11fec87738ca65beee7 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 30 Sep 2009 10:56:21 +0200
Subject: [PATCH] Move the check for BFD_ARCH_SIZE IN 64-bit specific conditional

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 binutils.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/binutils.spec b/binutils.spec
index 05d20b1..0e741d3 100644
--- a/binutils.spec
+++ b/binutils.spec
@@ -17,7 +17,7 @@
 Summary: A GNU collection of binary utilities
 Name: %{?cross}binutils%{?_with_debug:-debug}
 Version: 2.19.51.0.14
-Release: 34%{?dist}
+Release: 34%{?dist}.fa1
 License: GPLv3+
 Group: Development/Tools
 URL: http://sources.redhat.com/binutils
@@ -231,8 +231,10 @@ rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.so
 # Remove libtool files, which reference the .so libs
 rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.la
 
+%if "%{__isa_bits}" == "64"
 # Sanity check --enable-64-bit-bfd really works.
 grep '^#define BFD_ARCH_SIZE 64$' %{buildroot}%{_prefix}/include/bfd.h
+%endif
 # Fix multilib conflicts of generated values by __WORDSIZE-based expressions.
 %ifarch %{ix86} x86_64 ppc ppc64 s390 s390x sh3 sh4 sparc sparc64
 sed -i -e '/^#include "ansidecl.h"/{p;s~^.*$~#include <bits/wordsize.h>~;}' \
@@ -376,6 +378,9 @@ exit 0
 %endif # %{isnative}
 
 %changelog
+* Tue Nov 10 2009 Kedar Sovani <kedars@marvell.com> 2.19.51.0.14-34.fa1
+- Move the check for BFD_ARCH_SIZE IN 64-bit specific conditional
+
 * Tue Oct 27 2009 Jan Kratochvil <jan.kratochvil@redhat.com> 2.19.51.0.14-34
 - Fix rpm --excludedocs (BZ 515922).
 - Fix spurious scriplet errors by `exit 0'. (BZ 517979, Nick Clifton)
-- 
1.5.5.6

